## python-libais 0.17%2Bgit.20190917.master.e464cf8

=== debian/changelog ===
python-libais (0.17+git.20190917.master.e464cf8-4build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:44:48 +0000

python-libais (0.17+git.20190917.master.e464cf8-4) unstable; urgency=medium

  * Team upload
  * Fix logging line in TagQueue.put if no NMEA match is found
  * test: support Python 3.12 (Closes: #1055554)
  * Bump Standards-Version to 4.6.2

 -- Benjamin Drung <bdrung@debian.org>  Fri, 15 Dec 2023 14:32:02 +0100

python-libais (0.17+git.20190917.master.e464cf8-3) unstable; urgency=medium

  * Team Upload.
  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Nilesh Patra ]
  * Add autopkgtests
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13

 -- Nilesh Patra <nilesh@debian.org>  Sat, 23 Oct 2021 17:06:18 +0530

python-libais (0.17+git.20190917.master.e464cf8-2) unstable; urgency=medium

  * Team upload
  * Add missing copyright(s)

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 30 Mar 2020 03:49:09 +0530

python-libais (0.17+git.20190917.master.e464cf8-1) unstable; urgency=medium

  * Initial release (Closes: #951616).

 -- Adam Cecile <acecile@le-vert.net>  Tue, 18 Feb 2020 21:17:37 +0100
