=== src/CMakeLists.txt ===
add_subdirectory(libais)
