=== debian/changelog ===
python-libais (0.17+git.20190917.master.e464cf8-6build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:59:31 +0000

python-libais (0.17+git.20190917.master.e464cf8-6) unstable; urgency=medium

  * Team upload.
  * Use pybuild-plugin-pyproject.
  * Run tests using pytest (closes: #1025404).

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Jul 2025 00:45:41 +0200

python-libais (0.17+git.20190917.master.e464cf8-5) unstable; urgency=medium

  * Team upload.
  * Fix help2man build issue. (Closes: #1080133)
  * Bump std-ver to 4.7.0.

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 27 Nov 2024 14:31:54 +0800
