=== debian/control ===
Source: python-libais
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Adam Cecile <acecile@le-vert.net>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-setuptools,
 python3-six,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-runner <!nocheck>,
 help2man,
Standards-Version: 4.7.0
Homepage: https://github.com/schwehr/libais
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-libais
Vcs-Git: https://salsa.debian.org/python-team/packages/python-libais.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-ais
Architecture: any
Depends: ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for decoding maritime Automatic Identification System messages
 There are two interfaces to libais, one high-level iterator based one
 and a low-level fast C++ only one.
 .
 To use the low-level C++ interface directly, you need to handle multi-line
 messages and padding yourself.
 .
 This package installs the library for Python 3.

Package: libais-tools
Architecture: all
Section: net
Depends: ${python3:Depends},
 python3-ais (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Cli tools for decoding maritime Automatic Identification System messages
 There are two interfaces to libais, one high-level iterator based one
 and a low-level fast C++ only one.
 .
 To use the low-level C++ interface directly, you need to handle multi-line
 messages and padding yourself.
 .
 This package installs command line tools.
