=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pyton-libais-$1.tar.gz%" \
   https://github.com/schwehr/libais/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
